image: ubuntu:latest

stages:
  - build
  - test
  - deploy

Dependency install:
    stage: build
    before_script:
      - apt-get update -y
      - apt-get install python3-pip -y
      - python3 --version
    script:
      - pip3 install -r requirements.txt

Run tests:
      extends: Dependency install
      stage: test
      script:
        - python3 -m pytest -v -l tests/